﻿using Syncfusion.SfPdfViewer.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace ViewerNavigation
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class TestPage : ContentPage
	{
        SfPdfViewer pdfView;
        ToolbarItem tbBack;

        public event EventHandler<Boolean> OperationDone;

        public TestPage ()
		{
			InitializeComponent ();

            //BACK
            tbBack = new ToolbarItem();
            tbBack.Text = "Indietro";            
            tbBack.Order = ToolbarItemOrder.Primary;
            tbBack.Clicked += (sender, args) => { GoBack(); };

            this.ToolbarItems.Add(tbBack);
            
        }


        private void GoBack()
        {
            if (pdfView != null)
            {
                pdfView.Unload();
            }

            OperationDone?.Invoke(this, true);
        }


        private void btn2_Clicked(object sender, EventArgs e)
        {
            pdfView = new SfPdfViewer();
            pdfView.IsTextSelectionEnabled = false;
            stackPDF.Children.Clear();
            stackPDF.Children.Add(pdfView, 0, 1);

            var pdfStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream("TEST_xamarin.pdf");
            if (pdfView != null) pdfView.LoadDocument(pdfStream);
        }

        private void btnUnload_Clicked(object sender, EventArgs e)
        {
            if (pdfView != null)
                pdfView.Unload();
        }

    }
}